Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3455 - Ethernet card not assigned IO port when inserted.
Summary: Ethernet card not assigned IO port when inserted.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-14 15:29 UTC by jcraig
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-29 18:32:19 UTC


Attachments (Terms of Use)

Description jcraig 1999-06-14 15:29:59 UTC
I have a PreMax PE200 pcmcia ethernet card, which is
supported, but for some reason was not configured properly
during install. The error message during bootup, or when the
card is inserted is:

    "pcnet_cs: Request IO: No More Items".

I had RedHat 5.2 installed on the same machine, and the card
worked fine. I had upgraded to 5.9.7 using a CD image
downloaded off the net, and the upgrade evidently preserved
the configuration for the ethernet card, because the card
still worked. But, when I did a clean install of 6.0 using
an "official RedHat 6.0" CD, it won't install.

The system log under RedHat 5.2 shows:

-----------------------------------------------------------
Jun 8 17:17:48 annex cardmgr[222]: starting, version is
3.0.5
Jun 8 17:17:50 annex cardmgr[222]: watching 2 sockets
 Jun 8 17:17:50 annex kernel: cs: IO port probe
0x1000-0x17ff: excluding nothing: probe failed.
Jun 8 17:17:50 annex kernel: cs: IO port probe
0x0100-0x04ff: excluding 0x100-0x107 0x158-0x15f
0x220-0x22f 0x300-0x307 0x378-0x37f 0x388-0x38f 0x4d0-0x4d7
Jun 8 17:17:50 annex kernel: cs: IO port probe
0x0a00-0x0aff: clean.
Jun 8 17:17:50 annex kernel: cs: memory probe
0xa0000000-0xa0ffffff: clean.
Jun 8 17:17:50 annex cardmgr[222]: initializing socket 0
Jun 8 17:17:50 annex cardmgr[222]: socket 0: PreMax PE-200
Ethernet
Jun 8 17:17:50 annex cardmgr[222]: executing: 'insmod
/lib/modules/preferred/net/8390.o'
Jun 8 17:17:50 annex cardmgr[222]: executing: 'insmod
/lib/modules/preferred/pcmcia/pcnet_cs.o'
Jun 8 17:17:50 annex cardmgr[222]: executing: './network
start eth0'
Jun 8 17:17:50 annex kernel: eth0: NE2000 Compatible: port
0x320, irq 3, hw_addr
                    00:20:E0:0E:1A:03

----------------------------------------------------------
 But, when I upgraded to 6.0 again, I got this result:

---------------------------------------------------------
Jun 9 01:14:26 annex kernel: cs: IO port probe
0x0100-0x04ff: excluding 0x100-0x107 0x158-0x15f
0x220-0x22f 0x300-0x307 0x378-0x37f 0x388-0x38f 0x4d0-0x4d7
Jun 9 01:14:26 annex kernel: cs: IO port probe
0x0a00-0x0aff: clean.
Jun 9 01:14:26 annex kernel: cs: memory probe
0xa0000000-0xa0ffffff: clean.
                    ---------
Jun 9 01:20:42 annex cardmgr[328]: initializing socket 0
Jun 9 01:20:42 annex cardmgr[328]: socket 0: PreMax PE-200
Ethernet
Jun 9 01:20:42 annex cardmgr[328]: executing: 'insmod
/lib/modules/2.2.5-15/net/8390.o'
Jun 9 01:20:42 annex cardmgr[328]: executing: 'insmod
/lib/modules/2.2.5-15/pcmcia/pcnet_cs.o'
Jun 9 01:20:42 annex kernel: pcnet_cs: RequestIO: No more
items
 Jun 9 01:20:42 annex cardmgr[328]: get dev info on socket 0
failed: No such device
------------------------------------------------------------

There is a section in the pcmcia HowTo that talks about
resource starvation, and the need to set up the
pcmcia/config.opts file to exclude or include IO addresses,
but it doesn't say how to determine those parameters.

The support folkswould not provide any help for me on this,
and suggested I submit a bug report.

------- Additional Comments From   06/23/99 12:39 -------
Problem Resolved! I just needeed to turn off Plug-and-Play support in
the BIOS. That freed up more resources so PCMCIA can assign an IO port
to the card.


Note You need to log in before you can comment on or make changes to this bug.